Last Comment Bug 687220 - XHR POST in worker with null body and upload load event listener leads to Assertion failure: GetPrivate(aCx, aObj), at c:/dev/mozilla-central/dom/workers/XMLHttpRequest.cpp:319
: XHR POST in worker with null body and upload load event listener leads to Ass...
Status: VERIFIED FIXED
[inbound][qa!]
: qawanted, regression, verified-aurora, verified-beta
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla9
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
Mentors:
Depends on:
Blocks: new-web-workers 687221
  Show dependency treegraph
 
Reported: 2011-09-16 22:28 PDT by Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
Modified: 2011-11-22 05:10 PST (History)
16 users (show)
khuey: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
wontfix
+
fixed
fixed


Attachments
Patch, v1 (6.59 KB, patch)
2011-11-03 15:42 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
mrbkap: review+
christian: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
akeybl: approval‑mozilla‑release-
Details | Diff | Splinter Review
test (4.20 KB, patch)
2011-11-10 16:24 PST, Jonas Sicking (:sicking) No longer reading bugmail consistently
bent.mozilla: review+
Details | Diff | Splinter Review

Description Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-16 22:28:13 PDT
http://people.mozilla.org/~khuey/bugs/ww1/test.html

Result:
Assertion failure: GetPrivate(aCx, aObj), at c:/dev/mozilla-central/dom/workers/XMLHttpRequest.cpp:319
Comment 1 Johnny Stenback (:jst, jst@mozilla.com) 2011-09-29 14:58:12 PDT
Ben, this looks like a regression from your bindings work in worker. Can you have a look?
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-03 15:42:47 PDT
Created attachment 571815 [details] [diff] [review]
Patch, v1

This fixes us. We were targeting the wrong object.
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-03 19:54:45 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/3e9dcc5e18cd
Comment 4 Ed Morley [:emorley] 2011-11-04 03:08:22 PDT
https://hg.mozilla.org/mozilla-central/rev/3e9dcc5e18cd
Comment 5 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-05 13:41:22 PDT
Comment on attachment 571815 [details] [diff] [review]
Patch, v1

I'd really like to get this into branches before we merge, this bug prevents xhr.upload events from working correctly (not sure how common they are used, but it's certainly supposed to work) and may cause a crash.
Comment 6 christian 2011-11-07 10:49:04 PST
[triage comment]
Did this work in Firefox 7 or has it always been broken? We'll take this on aurora, but don't think we'd rebuild Firefox 8 for this.
Comment 7 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-07 15:30:54 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/f95e13ba4a58
Comment 8 Alex Keybl [:akeybl] 2011-11-10 14:40:49 PST
On Mac, when I clicked the link I ran into https://crash-stats.mozilla.com/report/index/bp-3056188e-e11c-41ad-b670-ebebf2111110
Comment 9 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-11-10 14:42:36 PST
Was that in a build after this fix went in?
Comment 10 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-11-10 14:44:26 PST
Reading the crash report, the answer is no, that report is from 8.
Comment 11 Lawrence Mandel [:lmandel] (use needinfo) 2011-11-10 14:50:41 PST
(In reply to Alex Keybl [:akeybl] from comment #8)
> On Mac, when I clicked the link I ran into
> https://crash-stats.mozilla.com/report/index/bp-3056188e-e11c-41ad-b670-
> ebebf2111110

Here are similar crash reports from my Macbook Air running Firefox 8.

https://crash-stats.mozilla.com/report/index/bp-aac5b65f-1558-43f0-a778-ccce92111110
https://crash-stats.mozilla.com/report/index/bp-7f074c1c-8690-49a1-9927-823f82111110
Comment 12 Jonas Sicking (:sicking) No longer reading bugmail consistently 2011-11-10 16:24:46 PST
Created attachment 573695 [details] [diff] [review]
test
Comment 13 Jonas Sicking (:sicking) No longer reading bugmail consistently 2011-11-10 16:33:01 PST
Checked in text:

https://hg.mozilla.org/mozilla-central/rev/1374294a6119
Comment 14 Alex Keybl [:akeybl] 2011-11-10 20:08:56 PST
Comment on attachment 571815 [details] [diff] [review]
Patch, v1

[Triage Comment]
Approving for beta now that we're considering this for inclusion in an 8.0.1. Please land there ASAP so that we can make sure it's all green and won't cause any surprises when landing on release.
Comment 15 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-11 08:16:30 PST
This was landed on mozilla-aurora before the last merge so it is on mozilla-beta now already. Did you mean for me to land this on mozilla-release?
Comment 16 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-11 08:29:10 PST
I pushed the test to aurora and beta:

https://hg.mozilla.org/releases/mozilla-aurora/rev/232e47a8bf1d
https://hg.mozilla.org/releases/mozilla-beta/rev/aaa88890a7b9

Still need to know if the original patch and test should land on mozilla-release.
Comment 17 Alex Keybl [:akeybl] 2011-11-14 15:55:24 PST
Comment on attachment 571815 [details] [diff] [review]
Patch, v1

[Triage Comment]
Denying for release as we are no longer considering shipping 8.0.1 to all Firefox users - it will be a targeted release for those who are, or could potentially be, affected by bug 700835 or bug 691271.
Comment 19 Ioana (away) 2011-11-22 05:04:46 PST
Verified as fixed on:
Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20100101 Firefox/9.0 (20111116091359)
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Windows NT 5.1; rv:11.0a1) Gecko/20111121 Firefox/11.0a1

Mozilla/5.0 (Windows NT 6.1; rv:9.0) Gecko/20100101 Firefox/9.0 (20111116091359)
Mozilla/5.0 (Windows NT 6.1; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Windows NT 6.1; rv:11.0a1) Gecko/20111121 Firefox/11.0a1

Mozilla/5.0 (X11; Linux i686; rv:9.0) Gecko/20100101 Firefox/9.0 (20111116091359)
Mozilla/5.0 (X11; Linux i686; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (X11; Linux i686; rv:11.0a1) Gecko/20111121 Firefox/11.0a1

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0) Gecko/20100101 Firefox/9.0 (20111116091359)
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0a1) Gecko/20111121 Firefox/11.0a1

The test from comment 0 was used and no issues reproduced.

Note You need to log in before you can comment on or make changes to this bug.